From: Markus Koschany <apo@debian.org>
Date: Mon, 22 Aug 2022 12:31:33 +0200
Subject: pom

Create a simple pom file in our root directory and point to the api module. Is
this really necessary and why does maven-debian-helper otherwise not work
correctly?

Forwarded: not-needed
---
 api/pom.xml | 27 ---------------------------
 pom.xml     | 11 +++++++++++
 2 files changed, 11 insertions(+), 27 deletions(-)
 create mode 100644 pom.xml

diff --git a/api/pom.xml b/api/pom.xml
index 9a4405b..53c7135 100644
--- a/api/pom.xml
+++ b/api/pom.xml
@@ -138,11 +138,6 @@
                     <artifactId>maven-javadoc-plugin</artifactId>
                     <version>3.4.0</version>
                 </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-enforcer-plugin</artifactId>
-                    <version>3.1.0</version>
-                </plugin>
                 <plugin>
                     <groupId>com.github.spotbugs</groupId>
                     <artifactId>spotbugs-maven-plugin</artifactId>
@@ -156,28 +151,6 @@
         </pluginManagement>
 
         <plugins>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-enforcer-plugin</artifactId>
-                <executions>
-                    <execution>
-                        <id>enforce-maven</id>
-                        <goals>
-                            <goal>enforce</goal>
-                        </goals>
-                        <configuration>
-                            <rules>
-                                <requireJavaVersion>
-                                    <version>[11,)</version>
-                                </requireJavaVersion>
-                                <requireMavenVersion>
-                                    <version>[3.6.0,)</version>
-                                </requireMavenVersion>
-                            </rules>
-                        </configuration>
-                    </execution>
-                </executions>
-            </plugin>
             <plugin>
                 <!-- e.g. mvn validate glassfish-copyright:repair -->
                 <groupId>org.glassfish.copyright</groupId>
diff --git a/pom.xml b/pom.xml
new file mode 100644
index 0000000..edb67aa
--- /dev/null
+++ b/pom.xml
@@ -0,0 +1,11 @@
+    <project>
+      <modelVersion>4.0.0</modelVersion>
+      <groupId>jakarta.json</groupId>
+      <artifactId>jakarta.json</artifactId>
+      <version>2.1.1</version>
+      <packaging>pom</packaging>
+
+  <modules>
+    <module>api</module>
+  </modules>
+ </project>
